'use strict';

/**
 * For TEST MTA
 */
define(function() {
  var zoomService = function() {
    function getCurrentYear() {
      var dDate = new Date();
      dDate.setFullYear(2016);
      return dDate.getFullYear();
    }

    function zoom(map) {
      var view = map.getView();

      var res = view.getResolution();
      view.setResolution(res / 2);
    }

    return {
      getCurrentYear: getCurrentYear,
      zoom: zoom,
    };
  };

  zoomService.$inject = [];

  return zoomService;
});
